summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-25 08:43:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-25 08:43:21 +0000
commit71859522cbacd86ea2788ababb1d7d2cfb58d320 (patch)
tree04bb6c4025d27ab3dac9618aa9fe48f5495c9b53 /dev-python
parent19ec52ea203a62ef35a2cec283c1e9370ffa0e69 (diff)
downloadbaldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.tar.gz
baldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.tar.xz
baldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/APScheduler/APScheduler-3.9.0.ebuild50
-rw-r--r--dev-python/APScheduler/Manifest1
-rw-r--r--dev-python/bandit/bandit-1.7.2-r1.ebuild1
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.21.7.ebuild62
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.24.7.ebuild67
-rw-r--r--dev-python/css-parser/css-parser-1.0.7-r1.ebuild23
-rw-r--r--dev-python/github3/Manifest1
-rw-r--r--dev-python/github3/github3-3.1.2.ebuild45
-rw-r--r--dev-python/keystoneauth/keystoneauth-4.4.0-r1.ebuild62
-rw-r--r--dev-python/mando/Manifest1
-rw-r--r--dev-python/mando/mando-0.7.1.ebuild31
-rw-r--r--dev-python/meshio/Manifest1
-rw-r--r--dev-python/meshio/meshio-5.3.2.ebuild30
-rw-r--r--dev-python/openstacksdk/openstacksdk-0.61.0-r1.ebuild85
-rw-r--r--dev-python/os-client-config/os-client-config-2.1.0-r2.ebuild42
-rw-r--r--dev-python/os-service-types/os-service-types-1.7.0-r2.ebuild33
-rw-r--r--dev-python/oslo-concurrency/oslo-concurrency-4.5.0-r1.ebuild50
-rw-r--r--dev-python/oslo-log/oslo-log-4.6.1-r1.ebuild47
-rw-r--r--dev-python/oslo-utils/oslo-utils-4.12.2.ebuild16
-rw-r--r--dev-python/pytest-codeblocks/Manifest2
-rw-r--r--dev-python/pytest-codeblocks/pytest-codeblocks-0.12.2.ebuild28
-rw-r--r--dev-python/pytest-codeblocks/pytest-codeblocks-0.9.0.ebuild21
-rw-r--r--dev-python/python-cinderclient/python-cinderclient-8.2.0-r1.ebuild46
-rw-r--r--dev-python/python-glanceclient/Manifest1
-rw-r--r--dev-python/python-glanceclient/python-glanceclient-3.6.0.ebuild48
-rw-r--r--dev-python/python-keystoneclient/python-keystoneclient-4.4.0-r1.ebuild52
-rw-r--r--dev-python/python-novaclient/python-novaclient-17.6.0-r2.ebuild58
-rw-r--r--dev-python/python-openstackclient/python-openstackclient-5.7.0-r1.ebuild57
-rw-r--r--dev-python/s3transfer/Manifest1
-rw-r--r--dev-python/s3transfer/s3transfer-0.5.2.ebuild41
-rw-r--r--dev-python/stestr/stestr-3.2.1.ebuild2
-rw-r--r--dev-python/tempest/tempest-29.2.0-r1.ebuild69
-rw-r--r--dev-python/test_server/Manifest5
-rw-r--r--dev-python/test_server/test_server-0.0.31.ebuild26
-rw-r--r--dev-python/test_server/test_server-0.0.32.ebuild17
-rw-r--r--dev-python/test_server/test_server-0.0.33.ebuild17
-rw-r--r--dev-python/test_server/test_server-0.0.37.ebuild (renamed from dev-python/test_server/test_server-0.0.35.ebuild)0
-rw-r--r--dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild22
-rw-r--r--dev-python/transitions/Manifest1
-rw-r--r--dev-python/transitions/transitions-0.8.11.ebuild40
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.13.2.ebuild97
-rw-r--r--dev-python/xxhash/Manifest1
-rw-r--r--dev-python/xxhash/xxhash-3.0.0.ebuild31
46 files changed, 1217 insertions, 117 deletions
diff --git a/dev-python/APScheduler/APScheduler-3.9.0.ebuild b/dev-python/APScheduler/APScheduler-3.9.0.ebuild
new file mode 100644
index 000000000000..68ebcc385d7f
--- /dev/null
+++ b/dev-python/APScheduler/APScheduler-3.9.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="In-process task scheduler with Cron-like capabilities"
+HOMEPAGE="https://github.com/agronholm/apscheduler"
+SRC_URI="mirror://pypi/A/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tzlocal-4[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ # disable test fixtures using external servers (mongodb, redis...)
+ # these fixtures are using markers in git master, so the patch
+ # should be no longer necessary with next major bump
+ "${FILESDIR}"/APScheduler-3.8.1-external-server-tests.patch
+)
+
+EPYTEST_DESELECT=(
+ tests/test_jobstores.py::test_repr_mongodbjobstore
+ tests/test_jobstores.py::test_repr_redisjobstore
+ tests/test_jobstores.py::test_repr_zookeeperjobstore
+)
+
+python_prepare_all() {
+ # suppress setuptools warning #797751
+ sed -e 's|^upload-dir|upload_dir|' -i setup.cfg || die
+ sed -e '/addopts/d' -i setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/APScheduler/Manifest b/dev-python/APScheduler/Manifest
index e85cd583b46a..87be39734911 100644
--- a/dev-python/APScheduler/Manifest
+++ b/dev-python/APScheduler/Manifest
@@ -1 +1,2 @@
DIST APScheduler-3.8.1.tar.gz 98699 BLAKE2B 7a8320251670de29f76375387f8a3817b3a9c401befd4bfefba106817ec3d21fc0f60af9b7a7620f83c0e1c651bc3eb8c62036a17e01ff91bf5dcf492ff78911 SHA512 553af2532b32bcdc7dc3047bf4f51623e87dbee62dac40b7ca8c3e64881467ecf6c50df56c863d5a44c6b8a99eb02ae22ae008d76ee4836ba398afd280bed99b
+DIST APScheduler-3.9.0.tar.gz 100492 BLAKE2B c1d15dcbebf52034cad0a1317bca68cf567d5acbf6619a5905e1793702339a68cef0a639463f887bb71cb96f15762bea5e5521230fa957e2fbb2ae501ca3cb36 SHA512 40b180f0297b0be125dea89d518331c1f78b1468b6507651c8e9b06cbb44f700ef1f1c44be8bf08f562b67ac6e89ac5022598ad79081bdf0290c207063e0898a
diff --git a/dev-python/bandit/bandit-1.7.2-r1.ebuild b/dev-python/bandit/bandit-1.7.2-r1.ebuild
index ea2a659163fa..05803a412cf9 100644
--- a/dev-python/bandit/bandit-1.7.2-r1.ebuild
+++ b/dev-python/bandit/bandit-1.7.2-r1.ebuild
@@ -5,6 +5,7 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10} )
+
inherit distutils-r1
DESCRIPTION="A security linter from OpenStack Security"
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 92005e7040c6..2f77cc2f6386 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -10,3 +10,4 @@ DIST boto3-1.21.3.tar.gz 469833 BLAKE2B 97efa041762cbb1b2f493195ca680a6c1631c6f5
DIST boto3-1.21.4.tar.gz 470233 BLAKE2B 3e6d8c5264ac66829e468633700e155ac935aae9fb148d892c90bb629699a4fd726f4e73aa399d98fafbffd71c215d141d682e49850f6d046a4513ab6dda8208 SHA512 2366cb0c415ee0497912a2369b3f3981562324556f5e7137d0b52069c63c778406802e2434bec122a047ac14dbdc44e51f6bc3c90fcee12d315aa30c21d45f0c
DIST boto3-1.21.5.tar.gz 470454 BLAKE2B 850f7237b8063f0cf40d53c986b94ef571e7aa7bdcfeb2b7d4aec54a1874b1c3c7e95cb4b317e8f0ea84a809083223d32c419291d7702b51781ef0140436cb45 SHA512 c10fb11ca3db4d23806232190b4f5431efedb8601af0aa28f6e62178ae98b2b22c73e05b4d91a9f7ea3e9dce15304397e780f396a155b0e02623590af87a9905
DIST boto3-1.21.6.tar.gz 471833 BLAKE2B 7e029b9bf460696344d26a863c4d96a2c9445ab3869aa17edc1ebb42d52260105406e7fb562046b395fd66a40ca6a15221c2ee1825caebebb27eadf667ba0bf6 SHA512 ae53081cb02588b0088b20ea75c6f09f9d4fcabb1c45d0aaeba9b92ea4c1e29bea7b5b9d08b4dc8a221d6126f71944083c4dc29490e8014e5780abadc45f2f7a
+DIST boto3-1.21.7.tar.gz 472869 BLAKE2B 39ea1a39bb033678c50ec5a36d30c354d65397c3d3ec8a0f771a539a8f97371ab5feea8c3e99b77f460d6a6b81a8e1b3123ceb2edb1d97459755882e3e30e237 SHA512 46dc9cd67329a27171f593c9ad95bccad7027e52419178c62e719a90b968e4b4c51e965b26e8e1e877f3b95199e63840c408a763e453963e92cde16ad0c6aff5
diff --git a/dev-python/boto3/boto3-1.21.7.ebuild b/dev-python/boto3/boto3-1.21.7.ebuild
new file mode 100644
index 000000000000..18b68d93f6ed
--- /dev/null
+++ b/dev-python/boto3/boto3-1.21.7.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 9744f9a198eb..f70bde3359dd 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -10,3 +10,4 @@ DIST botocore-1.24.3.tar.gz 8770454 BLAKE2B 35c77a5a65a75844594673d3a1af23b087cf
DIST botocore-1.24.4.tar.gz 8775103 BLAKE2B c23256daab72fd60dbc9c3cb665816970bb168d6e63e0d53bc16dbda6cdeec30a87a864a6a3107f104c3e9d7aabdd1bbe5e43105a8fccad606cf5ac250282738 SHA512 73a717b454ce715446e75852b37207691118106e45fd0484101527adbb7e9062d78b200bb650e183bb1a40c0a4d9b0e1c9cc8621e5b5c2d9e7a5de6d46c34297
DIST botocore-1.24.5.tar.gz 8775639 BLAKE2B 13237fb78068dcab03f33c5e13d97040520fe8538e6c626e806890bce04689af9b9a0997b0c374bd09e0ae410b4c4288e236d122c30326dab7395ada17a3dc07 SHA512 4ddb38ab4d4c777236576d806d6f611a1cc70a17f9e74f7d7a3071c51ee56354a19ba9e624c7369acb0a72b39473a8bf98b9aca4bf695286d3bf73df729172aa
DIST botocore-1.24.6.tar.gz 8777068 BLAKE2B 024a5bf4529d703c86635c836773a594b7bb9a1edb22cf40bde7b27d5b668b20708700fae46da14841a174d00953c20d79967523663c1f8e2c5faa30c63751fb SHA512 8298f53e85a0b92b7f71c25613d6fb467ec8be6de88e19f7b5c7bd979efbf1516a4bea4f3a885bde2d2cb7191a946bcfd55c4ce0ab584fd284dd71d1155dade5
+DIST botocore-1.24.7.tar.gz 8798732 BLAKE2B 8ad6399e3353861e71810a80d1bdc2a03d952bdc00ef2bc6fbd0726e12a6c404f607358c0b33447c37aa031f9050bacc9d50859e6332e1f7432588a68c4e86b0 SHA512 9e37321dabc6279133cfd1a8e4c51cec41ebe262f412d789509ea5e27c8545d65883d62f2de5fc74870592e95a2676705f926516e6b6dd9935f199a5aa45e15b
diff --git a/dev-python/botocore/botocore-1.24.7.ebuild b/dev-python/botocore/botocore-1.24.7.ebuild
new file mode 100644
index 000000000000..94a3d0fe8785
--- /dev/null
+++ b/dev-python/botocore/botocore-1.24.7.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/css-parser/css-parser-1.0.7-r1.ebuild b/dev-python/css-parser/css-parser-1.0.7-r1.ebuild
new file mode 100644
index 000000000000..e9020c11068c
--- /dev/null
+++ b/dev-python/css-parser/css-parser-1.0.7-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A CSS Cascading Style Sheets library (fork of cssutils)"
+HOMEPAGE="https://pypi.org/project/css-parser/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+BDEPEND="
+ test? ( dev-python/chardet[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/github3/Manifest b/dev-python/github3/Manifest
index 26e235570bfd..d2ae5c9a0e90 100644
--- a/dev-python/github3/Manifest
+++ b/dev-python/github3/Manifest
@@ -1,3 +1,4 @@
DIST github3-3.0.0.gh.tar.gz 35410027 BLAKE2B d5da6c7a4612879646af7bfe82ac899c3894c0ecba9d6bf2d467ff497431ddabbbb342a5895d55bee56a03a6ea4b12bb989a903bdef31998da4382619810a9bd SHA512 67b8d30ec44a38344117a2d28f4eed1d86ddc4ffda68e36da9d6540ef4fe57a544e9d793d278a289f61e8874271b3ee21da0d742d9a7463cceccd4f1384669d5
DIST github3-3.1.0.gh.tar.gz 35518951 BLAKE2B f5e804f2e475cda88423a5ffaa36c1a1d92501dae9a7746f7cb1ef252b3a035db36f84929bfb9ea368a008aad8f5c08e70df9a63bc5e6b543d31ddd0e8549632 SHA512 6410f7e38c23ae654e5e8af3b3f2e4511960d19ce37f170283878e1f71349d0affb094b18b869cba79868666dc10e18a00d9182e2990f943c64814fbd3eea82c
DIST github3-3.1.1.gh.tar.gz 35520342 BLAKE2B d06a5121bb034c9ac18c88e3affb9414d6802aba8dd69339c7c17ffb0897e18beac7a004dd3f328c7b4f4bfc91b9bf4e23c8cb33d145a2adbc961896659c8e27 SHA512 45c775c6070088a0e73ba353d6fc4d8c7f5e709884caf9116a10faa3de21d1e4e184d5563a741b2f8f60d16ac72304441d7004a5c81680b7ea2660d26fc3758d
+DIST github3-3.1.2.gh.tar.gz 35519407 BLAKE2B 392f34a6f74c6536113a8eb9511d38e40ce9c45ba078322d61fe8bdf9555ab5c440bccd6776c695d68034743d02eb0b80f3d84347c50b4753c7e50f982d08666 SHA512 ebb65229e82b3f3874fc556b2e323add81def711810725fd7e0ad991578de1ce1a0e38fee2bab54073079abae3ed666bbed5408ae26e9ca788a99704df4ab0af
diff --git a/dev-python/github3/github3-3.1.2.ebuild b/dev-python/github3/github3-3.1.2.ebuild
new file mode 100644
index 000000000000..5302fb0ca1d5
--- /dev/null
+++ b/dev-python/github3/github3-3.1.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper for the GitHub API written in python"
+HOMEPAGE="https://github3py.readthedocs.io/en/master/"
+SRC_URI="
+ https://github.com/sigmavirus24/${PN}.py/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}.py-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.3.0[${PYTHON_USEDEP}]
+"
+# via PyJWT[crypto]
+RDEPEND+="
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/betamax-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/betamax-matchers-0.1.0[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' tox.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/keystoneauth/keystoneauth-4.4.0-r1.ebuild b/dev-python/keystoneauth/keystoneauth-4.4.0-r1.ebuild
new file mode 100644
index 000000000000..5d8aaceab6b9
--- /dev/null
+++ b/dev-python/keystoneauth/keystoneauth-4.4.0-r1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="This package contains tools for authenticating to an OpenStack-based cloud"
+HOMEPAGE="https://github.com/openstack/keystoneauth"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}1/${PN}1-${PV}.tar.gz"
+S="${WORKDIR}/${PN}1-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+CDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/os-service-types-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${CDEPEND}
+ test? (
+ >=dev-python/betamax-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oauthlib-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/requests-kerberos-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # relies on specific test runner name
+ sed -i -e 's:run\.py:unittest_or_fail.py:' \
+ keystoneauth1/tests/unit/test_session.py || die
+ # remove the test that requires hacking
+ rm keystoneauth1/tests/unit/test_hacking_checks.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ eunittest -b
+}
diff --git a/dev-python/mando/Manifest b/dev-python/mando/Manifest
index cadf33026638..908227712918 100644
--- a/dev-python/mando/Manifest
+++ b/dev-python/mando/Manifest
@@ -1 +1,2 @@
DIST mando-0.6.4.tar.gz 36560 BLAKE2B 9878746485d4b896c3e32512b77ac02739940a1398eee12056fd6719cc3c99f8c526c8e573d2556b6a9d0d8d26e20fb45c97119e626b1d44f0a5b5f4655adba1 SHA512 457fa0db4e8e5dbfac6146d254181213814ef1975c919b4573007face27749ec3a50eda850558ebdc0fdff94a5e9819fd825b10cb3023078b2b426c2825fdbf0
+DIST mando-0.7.1.gh.tar.gz 37802 BLAKE2B 1caf437248f1b1397888674fff0171680fd1d2cffd1d3394869edce4fef0d214fb52fc0eb7435ef162722f128f129f8d19385e65661914c51f78108b64f8db38 SHA512 a25dfd57e833416cbd64933ca3970712d28c2e2ed172091a0d0c082f486c707d0061afb071e3973e7e42b654d1a6e70f4909b1254fdef493471dc0ae9d3eb62b
diff --git a/dev-python/mando/mando-0.7.1.ebuild b/dev-python/mando/mando-0.7.1.ebuild
new file mode 100644
index 000000000000..67846423dca8
--- /dev/null
+++ b/dev-python/mando/mando-0.7.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Create Python CLI apps with little to no effort at all!"
+HOMEPAGE="https://mando.readthedocs.io/ https://github.com/rubik/mando/"
+SRC_URI="https://github.com/rubik/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/meshio/Manifest b/dev-python/meshio/Manifest
index ad8706dcafa4..739f12db6010 100644
--- a/dev-python/meshio/Manifest
+++ b/dev-python/meshio/Manifest
@@ -1 +1,2 @@
DIST meshio-5.3.0.tar.gz 491246 BLAKE2B 0fd867c2ddabb29cd88dfdea1b5ef04ebf8d63ed957df5df7c426a00f0de409dcd556de4530dec91e71126671e7048af071f734e3d1c375fc67de0403edd7f37 SHA512 2304c75b74093120655cbfae6ec7b770de6bfdbe677c84e997449df91d7d3fd6b61c946d00bf57eba99e5812a08a032c55bf2d4c81316b356016d818b329f795
+DIST meshio-5.3.2.tar.gz 491651 BLAKE2B 537f76f7b69a64777b631344da4b6a3e1cee33be1df05726406aceeddb68ed6589abb210f30cb74dbd899688a417ec9140fa6d8a5f7eb94ce5d85e99f315a731 SHA512 91a5d6064b69b8e631a60c613e0b06e784b475c296cc9572d4f9111dac932b0e75cf7ef1e6849329354a9708de1d32bafc1b297297d94a5554962f6807123921
diff --git a/dev-python/meshio/meshio-5.3.2.ebuild b/dev-python/meshio/meshio-5.3.2.ebuild
new file mode 100644
index 000000000000..be5221345eeb
--- /dev/null
+++ b/dev-python/meshio/meshio-5.3.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Input/output for many mesh formats"
+HOMEPAGE="https://github.com/nschloe/meshio"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="hdf5 netcdf"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ hdf5? ( dev-python/h5py[${PYTHON_USEDEP}] )
+ netcdf? ( dev-python/netcdf4-python[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? ( dev-python/h5py[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/openstacksdk/openstacksdk-0.61.0-r1.ebuild b/dev-python/openstacksdk/openstacksdk-0.61.0-r1.ebuild
new file mode 100644
index 000000000000..cebedcfed81d
--- /dev/null
+++ b/dev-python/openstacksdk/openstacksdk-0.61.0-r1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of libraries for building applications to work with OpenStack"
+HOMEPAGE="https://github.com/openstack/openstacksdk/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+CDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ >=dev-python/appdirs-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/requestsexceptions-1.2.0[${PYTHON_USEDEP}]
+ >dev-python/jsonpatch-1.20[${PYTHON_USEDEP}]
+ >=dev-python/os-service-types-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.18.0[${PYTHON_USEDEP}]
+ >=dev-python/munch-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/decorator-4.4.1[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.6.5[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.7.0[${PYTHON_USEDEP}]
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${CDEPEND}
+ test? (
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/prometheus_client-0.4.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/statsd-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Internet?
+ sed -e 's:test_create_dynamic_large_object:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+
+ # TODO
+ sed -e 's:test_generate_form:_&:' \
+ -e 's:test_create_static_large_object:_&:' \
+ -e 's:test_object_segment_retries:_&:' \
+ -e 's:test_object_segment_retry_failure:_&:' \
+ -e 's:test_slo_manifest_retry:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+
+ # unhappy about paths due to test runner
+ sed -e 's:test_method_not_supported:_&:' \
+ -i openstack/tests/unit/test_exceptions.py || die
+ sed -e 's:test_repr:_&:' \
+ -i openstack/tests/unit/test_resource.py || die
+
+ # requires hacking
+ rm openstack/tests/unit/test_hacking.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstack/tests/unit
+}
diff --git a/dev-python/os-client-config/os-client-config-2.1.0-r2.ebuild b/dev-python/os-client-config/os-client-config-2.1.0-r2.ebuild
new file mode 100644
index 000000000000..069594d4a9ae
--- /dev/null
+++ b/dev-python/os-client-config/os-client-config-2.1.0-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Client Configuation Library"
+HOMEPAGE="https://www.openstack.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.13.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/prometheus_client-0.4.2[${PYTHON_USEDEP}]
+ dev-python/python-glanceclient[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ dev-python/subunit[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/test_get_all_clouds.patch
+)
+
+distutils_enable_tests unittest
diff --git a/dev-python/os-service-types/os-service-types-1.7.0-r2.ebuild b/dev-python/os-service-types/os-service-types-1.7.0-r2.ebuild
new file mode 100644
index 000000000000..ce776dd823dd
--- /dev/null
+++ b/dev-python/os-service-types/os-service-types-1.7.0-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library to handle official service types for OpenStack and it's aliases"
+HOMEPAGE="https://github.com/openstack/os-service-types"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/oslo-concurrency/oslo-concurrency-4.5.0-r1.ebuild b/dev-python/oslo-concurrency/oslo-concurrency-4.5.0-r1.ebuild
new file mode 100644
index 000000000000..51d8ddac8c79
--- /dev/null
+++ b/dev-python/oslo-concurrency/oslo-concurrency-4.5.0-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Oslo Concurrency library"
+HOMEPAGE="https://pypi.org/project/oslo.concurrency/ https://github.com/openstack/oslo.concurrency"
+SRC_URI="mirror://pypi/o/${PN/-/.}/${PN/-/.}-${PV}.tar.gz"
+S="${WORKDIR}/${PN/-/.}-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/eventlet-0.19.0[${PYTHON_USEDEP}]
+ ' python3_{8..9})
+ )
+"
+
+distutils_enable_tests unittest
+
+python_compile() {
+ distutils-r1_python_compile
+ if ! has "${EPYTHON}" python3.{8..9}; then
+ find "${BUILD_DIR}"/install -name '*eventlet*.py' -delete || die
+ fi
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
diff --git a/dev-python/oslo-log/oslo-log-4.6.1-r1.ebuild b/dev-python/oslo-log/oslo-log-4.6.1-r1.ebuild
new file mode 100644
index 000000000000..cb2c30a3c8a3
--- /dev/null
+++ b/dev-python/oslo-log/oslo-log-4.6.1-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack logging config library, configuration for all openstack projects"
+HOMEPAGE="https://pypi.org/project/oslo.log/ https://github.com/openstack/oslo.log"
+SRC_URI="mirror://pypi/o/oslo.log/oslo.log-${PV}.tar.gz"
+S="${WORKDIR}/oslo.log-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-3.1.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.20.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.19.0[${PYTHON_USEDEP}]
+ >=dev-python/pyinotify-0.9.6[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-3.1.1[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx doc/source \
+ dev-python/openstackdocstheme \
+ dev-python/oslo-config
+
+python_test() {
+ eunittest -b
+}
diff --git a/dev-python/oslo-utils/oslo-utils-4.12.2.ebuild b/dev-python/oslo-utils/oslo-utils-4.12.2.ebuild
index 28ddb1d15a44..83b8932b6701 100644
--- a/dev-python/oslo-utils/oslo-utils-4.12.2.ebuild
+++ b/dev-python/oslo-utils/oslo-utils-4.12.2.ebuild
@@ -30,8 +30,10 @@ RDEPEND="
"
BDEPEND="
>=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
- >dev-python/eventlet-0.23.0[${PYTHON_USEDEP}]
test? (
+ $(python_gen_cond_dep '
+ >=dev-python/eventlet-0.23.0[${PYTHON_USEDEP}]
+ ' python3_{8..9})
>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
>=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
@@ -47,3 +49,15 @@ src_prepare() {
sed -i -e '/pbr/d' requirements.txt || die
distutils-r1_src_prepare
}
+
+python_compile() {
+ distutils-r1_python_compile
+ if ! has "${EPYTHON}" python3.{8..9}; then
+ find "${BUILD_DIR}"/install -name '*eventletutils*.py' -delete || die
+ fi
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
diff --git a/dev-python/pytest-codeblocks/Manifest b/dev-python/pytest-codeblocks/Manifest
index cfdb18e1c945..489c4ed512c1 100644
--- a/dev-python/pytest-codeblocks/Manifest
+++ b/dev-python/pytest-codeblocks/Manifest
@@ -1,4 +1,2 @@
-DIST pytest-codeblocks-0.12.2.tar.gz 8547 BLAKE2B d5bfea250aa2fc955eab5b8e96bb942c119b44367fa2f9e8cab8350409a7dbf697c16e3193ad18e629d7f4ccbb2ddc1f4fbce4cead96167cf16d1b6a922fdd91 SHA512 d69819106b389ce3cd2d04a1385e49f2bdf4eb70ea334175e6ba5e2921d77266ac2e69b22ce5a42880846555dd271e5b7dc25bda838b9238ad5d14add9389681
DIST pytest-codeblocks-0.13.0.tar.gz 8407 BLAKE2B 5ba3c41f7b4af908172799036331c6605fcd7d9c0fb0bdfc5cf3697e97181ec099b580a30d9dcd83ed568a5ee8fe736843d26b7d39163581adeb5d75a9a321f6 SHA512 092035e5cf3d1d35fedbc6f867ff77a40751df5b4a3b922d5f960fdaa5d1ca9e599c7b813ae60a4da3cd43e3e7884f38260f77bc466e234422480b5edebee24a
DIST pytest-codeblocks-0.14.0.tar.gz 8432 BLAKE2B cb63d68e61a909bd199240470be6f09a0e48a6ef7ab4f2360940030a384919939e2274a604499bbeaf533cbf5e15b7402fd2294841ca21bc9d65c54977353549 SHA512 740b6a74a3451cee25e37969706d7b603f258c76bb8b1cd608eaf63021aaaed99136a41885b453a2708302f53e8d9516a3487dc3f5cc8ad39ca6c3ab9721ae86
-DIST pytest-codeblocks-0.9.0.tar.gz 6590 BLAKE2B 34d1c72a891d2f2f1d98c4238322d888a48b286d628e3738043d16a59a75b3bd15b29e31c554a83508d9af31caf1b526e3c535a243bcf77c8d77f9bf5be69f5b SHA512 834002c4e9c8ad36baa9a4ed494fe28cf09460e0ee5a0a3d8d111cb0bd8ca4ed3c784a047901bc67984e7892f931b5644c1ea68112e4d9dda514a20e048b3d11
diff --git a/dev-python/pytest-codeblocks/pytest-codeblocks-0.12.2.ebuild b/dev-python/pytest-codeblocks/pytest-codeblocks-0.12.2.ebuild
deleted file mode 100644
index f022fc05a6e2..000000000000
--- a/dev-python/pytest-codeblocks/pytest-codeblocks-0.12.2.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_SETUPTOOLS=pyproject.toml
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Extract code blocks from markdown"
-HOMEPAGE="https://github.com/nschloe/pytest-codeblocks/"
-SRC_URI="
- https://github.com/nschloe/pytest-codeblocks/archive/v${PV}.tar.gz
- -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-python/pytest-6[${PYTHON_USEDEP}]"
-
-distutils_enable_tests --install pytest
-
-python_test() {
- distutils_install_for_testing
- epytest -p pytester
-}
diff --git a/dev-python/pytest-codeblocks/pytest-codeblocks-0.9.0.ebuild b/dev-python/pytest-codeblocks/pytest-codeblocks-0.9.0.ebuild
deleted file mode 100644
index 071677753a47..000000000000
--- a/dev-python/pytest-codeblocks/pytest-codeblocks-0.9.0.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=pyproject.toml
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Extract code blocks from markdown"
-HOMEPAGE="https://github.com/nschloe/pytest-codeblocks/"
-SRC_URI="
- https://github.com/nschloe/pytest-codeblocks/archive/v${PV}.tar.gz
- -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-distutils_enable_tests pytest
diff --git a/dev-python/python-cinderclient/python-cinderclient-8.2.0-r1.ebuild b/dev-python/python-cinderclient/python-cinderclient-8.2.0-r1.ebuild
new file mode 100644
index 000000000000..7b0440ed2294
--- /dev/null
+++ b/dev-python/python-cinderclient/python-cinderclient-8.2.0-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Cinder API"
+HOMEPAGE="https://launchpad.net/python-cinderclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/keystoneauth-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-5.0.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pbr-5.5.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.25.1[${PYTHON_USEDEP}]
+ >=dev-python/simplejson-3.5.1[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-3.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ddt[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/oslo-serialization[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ dev-python/tempest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b cinderclient/tests/unit
+}
diff --git a/dev-python/python-glanceclient/Manifest b/dev-python/python-glanceclient/Manifest
index af04846dbbd8..1a0e53122ecf 100644
--- a/dev-python/python-glanceclient/Manifest
+++ b/dev-python/python-glanceclient/Manifest
@@ -1 +1,2 @@
DIST python-glanceclient-3.5.0.tar.gz 198273 BLAKE2B 7861a2124a9474c4f6267f5b82e6d7fa9825d3cdc8411fbb05afabf69928dd230a881452de57cf54f9cd1a52157f806826036d85f6a93651980ce65e86afd520 SHA512 e5db1afeea7e3f653d7afac7961aeb3ec28df5dc40bba6b8b70795efcfc66928c2af45ecc0e4bbcc0d59a0157599e4ef3af090a8b0ccd0d727e8a94d4f8c866e
+DIST python-glanceclient-3.6.0.tar.gz 202581 BLAKE2B 20bf5ee863cc3d319cc7b670f4a218c9b84b49c392f7a7756636a93643ddf81781f808d6d966ca1982246b66b7963354c433239f554eb2aa0291bd1d57da2e79 SHA512 7bcf08386cfe6d4787dd8e6616907814a53fcc35bdac1818aef7ba094dcd37dfddddda43a1451d55f22d175f400f8680801d1a43508c5d85ce39f15164b71a5d
diff --git a/dev-python/python-glanceclient/python-glanceclient-3.6.0.ebuild b/dev-python/python-glanceclient/python-glanceclient-3.6.0.ebuild
new file mode 100644
index 000000000000..04152377b9aa
--- /dev/null
+++ b/dev-python/python-glanceclient/python-glanceclient-3.6.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Glance API"
+HOMEPAGE="https://github.com/openstack/python-glanceclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/keystoneauth-3.6.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/warlock-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/warlock-2[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ddt[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/tempest[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b glanceclient/tests/unit
+}
diff --git a/dev-python/python-keystoneclient/python-keystoneclient-4.4.0-r1.ebuild b/dev-python/python-keystoneclient/python-keystoneclient-4.4.0-r1.ebuild
new file mode 100644
index 000000000000..73d1759dcbd4
--- /dev/null
+++ b/dev-python/python-keystoneclient/python-keystoneclient-4.4.0-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Client Library for OpenStack Identity"
+HOMEPAGE="https://www.openstack.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oauthlib-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/os-client-config-1.28.0
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest keystoneclient/tests/unit
+}
diff --git a/dev-python/python-novaclient/python-novaclient-17.6.0-r2.ebuild b/dev-python/python-novaclient/python-novaclient-17.6.0-r2.ebuild
new file mode 100644
index 000000000000..aa0ad64a25ad
--- /dev/null
+++ b/dev-python/python-novaclient/python-novaclient-17.6.0-r2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Nova API"
+HOMEPAGE="https://github.com/openstack/python-novaclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.2[${PYTHON_USEDEP}]
+ >dev-python/requests-2.12.2[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/bandit[${PYTHON_USEDEP}]
+ dev-python/ddt[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/python-keystoneclient[${PYTHON_USEDEP}]
+ dev-python/python-cinderclient[${PYTHON_USEDEP}]
+ dev-python/python-glanceclient[${PYTHON_USEDEP}]
+ dev-python/python-neutronclient[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/openstacksdk[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ dev-python/tempest[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ sed -e 's/test_osprofiler/_&/' -i novaclient/tests/unit/test_shell.py || die
+ sed -e 's/novaclient\.tests\.unit\.//' -i novaclient/tests/unit/test_api_versions.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b novaclient/tests/unit
+}
diff --git a/dev-python/python-openstackclient/python-openstackclient-5.7.0-r1.ebuild b/dev-python/python-openstackclient/python-openstackclient-5.7.0-r1.ebuild
new file mode 100644
index 000000000000..6062d1ce05cc
--- /dev/null
+++ b/dev-python/python-openstackclient/python-openstackclient-5.7.0-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack APIs"
+HOMEPAGE="https://github.com/openstack/python-openstackclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.56.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.22.0[${PYTHON_USEDEP}]
+ >=dev-python/python-novaclient-17.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-cinderclient-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Depends on specific runner
+ sed -e 's/test_command_has_logger/_&/' -i openstackclient/tests/unit/common/test_command.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstackclient/tests/unit
+}
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index d08bd63ca8d3..e6e3167e8a66 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1,2 +1,3 @@
DIST s3transfer-0.5.0.tar.gz 133535 BLAKE2B 2ce9235fbffc4c42682345873becac6f0d574ac44de523e10178bf7d115b261acbd1753b1a41ca301b72fa96a6a93314572fe12ea4d286a325a0a36e3cf56b36 SHA512 e34d115d149f8f9715fa0147521eec63a5fd672ee513d690248fbca73003cf4c9e43775bd5b3616f7ad3a6734993a1c8b2ba789394d338a8ac4c841a0e51999c
DIST s3transfer-0.5.1.tar.gz 134278 BLAKE2B e67a726743af4f75e3e22519addeaa4437020ec26e0deec67d003d96307865cb624d7da272618114b168c32f26f595a27ed823b2905f47b1c2e5e187a68457cb SHA512 1bdcb9adfa795b524e36369e9128b1bd39d0b14f51862aba779a1eebe0569283da58138da52e031073d8c1199441083771c7f6e0657e0e1da9cd0d767450d52f
+DIST s3transfer-0.5.2.tar.gz 134873 BLAKE2B 55adab89ca04a9ed1f0195237cab55f97769a8f865e645437df6d95effcf1a27a734f1577daa981261123b681044b540ebbb876e1a8a3b4cf1cf4e5018f2c213 SHA512 6b035ff5b33ba5c048f6921f72684802a9b12516c70c75bd153e481e62a768015f45f569aa88071f887839fd2e004b5f9202813926ca33d58c30793218d14083
diff --git a/dev-python/s3transfer/s3transfer-0.5.2.ebuild b/dev-python/s3transfer/s3transfer-0.5.2.ebuild
new file mode 100644
index 000000000000..9b293e98246c
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.5.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="https://github.com/boto/s3transfer"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-1.24.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest tests/{unit,functional}
+}
diff --git a/dev-python/stestr/stestr-3.2.1.ebuild b/dev-python/stestr/stestr-3.2.1.ebuild
index 00662b5dbc64..8e1b20d7bbb9 100644
--- a/dev-python/stestr/stestr-3.2.1.ebuild
+++ b/dev-python/stestr/stestr-3.2.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/tempest/tempest-29.2.0-r1.ebuild b/dev-python/tempest/tempest-29.2.0-r1.ebuild
new file mode 100644
index 000000000000..e0be49683093
--- /dev/null
+++ b/dev-python/tempest/tempest-29.2.0-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Integration Testing"
+HOMEPAGE="https://pypi.org/project/tempest/ https://docs.openstack.org/tempest/latest/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ dev-python/stestr[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Small subset of tests, which fail as result of not using specific
+ # testing environment. Others expect to run suite using stestr.
+ rm -r tempest/tests/lib/services/volume/v3/ || die
+ rm tempest/tests/test_list_tests.py || die
+ rm tempest/tests/lib/cmd/test_check_uuid.py || die
+
+ # remove dep on hacking
+ rm tempest/tests/test_hacking.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x OS_LOG_CAPTURE=1 OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1 OS_TEST_TIMEOUT=320
+ eunittest -b -s tempest/tests -t .
+}
+
+src_install() {
+ distutils-r1_src_install
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
diff --git a/dev-python/test_server/Manifest b/dev-python/test_server/Manifest
index 7264f0c85488..bdbdd8c6eb6e 100644
--- a/dev-python/test_server/Manifest
+++ b/dev-python/test_server/Manifest
@@ -1,5 +1,2 @@
-DIST test_server-0.0.31.tar.gz 18578 BLAKE2B a08c23a7db43f1c99a0cd270852d9ea841e0c0e9888d1d4a95b8879b436f8c016d1d10222127fc8024fe3560340fd65dc629677106a18c7bc01a565c85a6702e SHA512 f245165f6326e63fae6e51ae247cedade41a391c505d9899c00b886df192326aac32f2a479d322de079f77b252cf199746a7ea3e06089cab105646d194d4d775
-DIST test_server-0.0.32.tar.gz 17548 BLAKE2B a24397fb73243e6f8dc1ec1fc84cb4e411ae5ac4217b3b3b47e6f819fc6315e3515ffb81a31d941e0ba1dc289adc37c8da3df35016067a94e026484f20d14e88 SHA512 4cc70fff2f1d932f6daba9cf610fb9dc9aca9554f19d494a34300d9b3f31a038cc9843f5e07ec9f884402f6b505e99773e66f8d7da1200cde221af5b83fc2f1c
-DIST test_server-0.0.33.tar.gz 16491 BLAKE2B 8c4f9ae1264b72e940b2e9d8db580ad077e37db2759af6992ee76b3146bfc6260b52dfa649423e74288d01b5090171a99ae66a2b96f986c0a998bbaef048fb53 SHA512 bf7b954a80954e0acfe9eb88dc506e141c9421ef38dcd94a95d0c054b38f088c5c855e1466b7d36d72c1737f34d8639dc456123ca848d567b2d087ff6f9bda00
-DIST test_server-0.0.35.gh.tar.gz 16503 BLAKE2B 01c3ec16c6b6d926ce9220f5878edc385ce087641e2419a613388dde1a5b5018c71991b146fa95b1e5e46a39cc4ca657f68cf06af23f1385ed05835dcea9d609 SHA512 bbea0e9965d3c839fb953f60480c271a8f6a8c808d922a9af68c576fb13d3a5d5b1055767f47874e897a5ee2e87f2749a93dab6e1d69acc143ff886158f95cf6
DIST test_server-0.0.36.gh.tar.gz 16663 BLAKE2B fa3e6a00aef11727271dee9c3e06ac878da4aac6098df6d9de56049f175af143bb858e2bd8d91cd1acfffcdf59e8d3dd1bc0fa840c1431ab162a599d103e37f7 SHA512 699abef74e5589396e45309b140da15be82de49383d5c683b729343f83a2e369a6e2bd4383ae442369dffe777100099abaf4f917cd700ec9926f2bcdfe0b84ce
+DIST test_server-0.0.37.gh.tar.gz 16873 BLAKE2B ee2a086e9199e1b5d42b1487d3dd2ecfa5ec0e4ab081369c9e7b626a4cdcdcee4ab15a664e3eaf958bd1285c9a3908c366d5b74958d575016a9040d463b71339 SHA512 5c77b6d2b9bcb971af2a563e5a1c840abe429394d2a870f7caa5bd8a5edfb9488a30faf6485bb5a7105a83c36b6547abb1c06f98f44d66af8ff86469bf4125e3
diff --git a/dev-python/test_server/test_server-0.0.31.ebuild b/dev-python/test_server/test_server-0.0.31.ebuild
deleted file mode 100644
index c8b68f55d76b..000000000000
--- a/dev-python/test_server/test_server-0.0.31.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="Server to test HTTP clients"
-HOMEPAGE="https://github.com/lorien/test_server https://pypi.org/project/test-server/"
-SRC_URI="https://github.com/lorien/test_server/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/bottle-0.12.13[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/webtest[${PYTHON_USEDEP}]"
-
-PATCHES=(
- "${FILESDIR}/${P}-fix-py3.10.patch"
-)
-
-distutils_enable_tests pytest
diff --git a/dev-python/test_server/test_server-0.0.32.ebuild b/dev-python/test_server/test_server-0.0.32.ebuild
deleted file mode 100644
index e060cf401f75..000000000000
--- a/dev-python/test_server/test_server-0.0.32.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2019-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="Server to test HTTP clients"
-HOMEPAGE="https://github.com/lorien/test_server https://pypi.org/project/test-server/"
-SRC_URI="https://github.com/lorien/test_server/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-distutils_enable_tests pytest
diff --git a/dev-python/test_server/test_server-0.0.33.ebuild b/dev-python/test_server/test_server-0.0.33.ebuild
deleted file mode 100644
index e060cf401f75..000000000000
--- a/dev-python/test_server/test_server-0.0.33.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2019-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="Server to test HTTP clients"
-HOMEPAGE="https://github.com/lorien/test_server https://pypi.org/project/test-server/"
-SRC_URI="https://github.com/lorien/test_server/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-distutils_enable_tests pytest
diff --git a/dev-python/test_server/test_server-0.0.35.ebuild b/dev-python/test_server/test_server-0.0.37.ebuild
index 9f43be88efc0..9f43be88efc0 100644
--- a/dev-python/test_server/test_server-0.0.35.ebuild
+++ b/dev-python/test_server/test_server-0.0.37.ebuild
diff --git a/dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild b/dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild
new file mode 100644
index 000000000000..7c69583b4ce2
--- /dev/null
+++ b/dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="The most basic port of the Text::Unidecode Perl library"
+HOMEPAGE="
+ https://pypi.org/project/text-unidecode/
+ https://github.com/kmike/text-unidecode/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Artistic GPL-2+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/transitions/Manifest b/dev-python/transitions/Manifest
index d1aef386cd07..4755ad2e3a7a 100644
--- a/dev-python/transitions/Manifest
+++ b/dev-python/transitions/Manifest
@@ -1 +1,2 @@
DIST transitions-0.8.10.tar.gz 1103547 BLAKE2B caeeb97406d1d2ba926f5ff14c4961acb7c2b9b979a1a20614e1017e4b20a664b069f384cfe878df95dffe832f00cfeb4c0ce96efe2156cc858e14eba5746137 SHA512 a598d65431a2d0241b5ea4c806631edf2e1f06537224e8716d531e86bcb10817d1cf32a62672147d1c1b398fd755a9ef046d884dcd0b4de6a9f8c1bfd04af62a
+DIST transitions-0.8.11.tar.gz 1103585 BLAKE2B e91800baa5101e2654b4e88fecec8bc795329a0e43890e32f42f7777136379d9852702f7cef14da3f3c26b50ce7bf9dcf2f6d2980d4af82149d2d16ea343d826 SHA512 96c91c988db990326f50b06c7538fb806c2a5d19f950f23cd0304b40517657c888df6c09445917d5e7224c1aa1b1d8d719bd10b0e210001f15eec947681c3847
diff --git a/dev-python/transitions/transitions-0.8.11.ebuild b/dev-python/transitions/transitions-0.8.11.ebuild
new file mode 100644
index 000000000000..f7cf4db1b9ba
--- /dev/null
+++ b/dev-python/transitions/transitions-0.8.11.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A lightweight, object-oriented state machine implementation in Python"
+HOMEPAGE="https://github.com/pytransitions/transitions"
+SRC_URI="https://github.com/pytransitions/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+ || (
+ dev-python/pygraphviz[${PYTHON_USEDEP}]
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ )
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/dill[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+ use examples && dodoc examples/*.ipynb
+}
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 91fd3316e0c2..175310d32a99 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -2,3 +2,4 @@ DIST virtualenv-20.11.2.tar.gz 9953645 BLAKE2B 8bd0e5bee4fad2cdb13b1ce3e018191ef
DIST virtualenv-20.12.1.tar.gz 9956052 BLAKE2B 1507e45de7d1383062b18a2796baf91befec576200560e3a07a5b78e563d6c93cd8f1b3aea327d2edf4d9e582a9a4a9c62f03e9f8cf023318ea4a6cd1fdc6c79 SHA512 1f1a721f1b03cab72330827bca68741cc7f3d4c713a44eb50028ce7b72101cf7530f12cb1fbbff1c94ce9ce621601484845069f34d0c36250f80d8186b2501f9
DIST virtualenv-20.13.0.tar.gz 9957090 BLAKE2B 7ff73c458b319c2a4545e6ad468cfdf3b4d48eec02f2d82843fd5276a0f97b72a953079849295ab2467fc78d6fb304774cac800b8744cbf7a295cc3fc4dbb433 SHA512 72aa8cffe92551479ad4ec93395597cd9f77ddaf2063e36d5836277199a96ab2d57236d94b99b7038a60ada103a2d8a37ae4b13ffaaa6ed8e786245d9fbbf6d6
DIST virtualenv-20.13.1.tar.gz 11990886 BLAKE2B 9db9504576406f7992f5ad132241e91042e57fc9b37b0a539c11a79499e1b6da9eea997fa9bbba85ba1e3e388b3dc9245bf02f4ee87408547590b9a34ff6f389 SHA512 97204361a308cced55b07b868b2039662b7c9d82cf4ecf64df18ff9723312e73bc9eb2a88937fb6b5f19c2bae3289784cf28bca46f138603fd55d8a76c6e2897
+DIST virtualenv-20.13.2.tar.gz 12111439 BLAKE2B 956c5c7f1215bfb46279b29634ab0cab523bb44578077837bab47634495462ccc0f8010a438d3eeebfe6afec0900cfa14dd015dabbc31a8e56c9f34312f2f260 SHA512 7e5ef7927637ab1d029c8831889846acb13948c8cfafc17d56ca815f23f682207da0f3b3291936585a9b059c10ec35813fb53511f19462f867edaf5f197c0135
diff --git a/dev-python/virtualenv/virtualenv-20.13.2.ebuild b/dev-python/virtualenv/virtualenv-20.13.2.ebuild
new file mode 100644
index 000000000000..8b0e61e36817
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.13.2.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/backports-entry_points_selectable-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ )"
+
+# (unpackaged deps)
+#distutils_enable_sphinx docs \
+# dev-python/sphinx-argparse \
+# dev-python/sphinx_rtd_theme \
+# dev-python/towncrier
+distutils_enable_tests pytest
+
+src_configure() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/unit/activation/test_xonsh.py
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ tests/unit/create/test_creator.py::test_cross_major
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_zip_importer_can_import_setuptools'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3--bin-]'
+ )
+
+ epytest
+}
+
+pkg_postinst() {
+ elog "Please note that while virtualenv package no longer supports"
+ elog "Python 2.7, you can still create py2.7 virtualenvs via:"
+ elog " $ virtualenv -p 2.7 ..."
+}
diff --git a/dev-python/xxhash/Manifest b/dev-python/xxhash/Manifest
index de1ab1ca6aff..8ca924373b22 100644
--- a/dev-python/xxhash/Manifest
+++ b/dev-python/xxhash/Manifest
@@ -1 +1,2 @@
DIST xxhash-2.0.2.tar.gz 64283 BLAKE2B 01fe9868b45f0be762c233a80b550e4069bd7f259fac8aeb90407864ac1fa6cda314880c87ce03d8854bedbecea1eba665ec4e00b27b68a8573c398238c5ce97 SHA512 8908e78207ff7b835259e359e2617f6b96555bd9dbc5bb079c850e9de22fd33c15396fbde0cd824cf8af2a195217f3ddc1aa8e62f1ed4071408b4a29bab31f2c
+DIST xxhash-3.0.0.tar.gz 74279 BLAKE2B 4c3d68103a7145aa1fd99da955b206c734c7882f1f6f3020d8bce9e5f2eb9714b9168b28918595bbb60445a024ec50d606e387358e6db8f4e575014763dece65 SHA512 170bfbacf0c4f8136550a257328d71dca096d996a52993a54442a7c5a54d48c51bb7997b3a718d73ae6c8e25a672ed4de664e7a651e02c43eb5f3fd135a59a80
diff --git a/dev-python/xxhash/xxhash-3.0.0.ebuild b/dev-python/xxhash/xxhash-3.0.0.ebuild
new file mode 100644
index 000000000000..e07ab9c3fb01
--- /dev/null
+++ b/dev-python/xxhash/xxhash-3.0.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python binding for the xxHash library"
+HOMEPAGE="https://github.com/ifduyue/python-xxhash
+ https://pypi.org/project/xxhash/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND=">=dev-libs/xxhash-0.8.0"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ export XXHASH_LINK_SO=1
+}
+
+python_test() {
+ cd tests || die
+ eunittest
+}